package gui

import . "git.danitheskunk.com/squishy/blooblib"

type BaseWidget struct {
	childs []*Widget
	parent *Widget
	Pos  Vec2i
	Size Vec2i
}

type Widget interface {
	Draw(target *Image)
	Layout()
}

func (w *BaseWidget) Draw(target *Image) {}
func (w *BaseWidget) Layout()            {}
